[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IStreamPersist.SaveToStream

Save persistent data to stream.

## Declaration

Source position: classesh.inc line 903

`procedure IStreamPersist.SaveToStream(`
`Stream: TStream`
`);`

## Description

SaveFromStream is the method called when the object should load it's state from the stream stream. The data written by this method should be readable by the LoadFromStream method.

## See also

TPersistent |  | Base class for streaming system and persistent properties.
TComponent |  | Base class for all components that need owner-owned functionality.
TStream |  | Base class for streams.
IStreamPersist.LoadFromStream |  | Load persistent data from stream.

Documentation generated on: Feb 26 2014